/*--------------------------------------------------------------------------
 *  Copyright 2007 utgenome.org
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// GenomeBrowser Project
//
// ParameterValueSelector.java
// Since: Jun 5, 2007
//
// $URL: http://svn.utgenome.org/utgb/trunk/utgb/utgb-core/src/main/java/org/utgenome/gwt/utgb/client/model/ParameterValueSelector.java $ 
// $Author: leo $
//--------------------------------------
package org.utgenome.gwt.utgb.client.model;

import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Hyperlink;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.TextBox;

public class ParameterValueSelector extends Composite
{
    HorizontalPanel layoutPanel = new HorizontalPanel();
    Label parameterLabel;
    HorizontalPanel valuePanel = new HorizontalPanel();
    TextBox keywordBox;
    
    public ParameterValueSelector(String parameterName)
    {
        parameterLabel = new Label(parameterName);
        keywordBox = new TextBox();
        keywordBox.setWidth("50px");
        
        layoutPanel.add(parameterLabel);
        layoutPanel.add(keywordBox);
        layoutPanel.add(valuePanel);
        
        layoutPanel.setStyleName("selector");
        initWidget(layoutPanel);
    }
    
    
    public void addValue(String value)
    {
        Hyperlink link = new Hyperlink(value, value);
        link.setStyleName("selector-item");
        valuePanel.add(link);
    }
    
}




