/*--------------------------------------------------------------------------
 *  Copyright 2007 utgenome.org
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// GenomeBrowser Project
//
// RelationPanel.java
// Since: May 17, 2007
//
// $URL: http://svn.utgenome.org/utgb/trunk/utgb/utgb-core/src/main/java/org/utgenome/gwt/utgb/client/model/RelationPanel.java $ 
// $Author: leo $
//--------------------------------------
package org.utgenome.gwt.utgb.client.model;

import org.utgenome.gwt.utgb.client.BrowserServiceAsync;
import org.utgenome.gwt.web.client.db.amoeba.AmoebaQuery;

import com.google.gwt.core.client.GWT;
import com.google.gwt.json.client.JSONObject;
import com.google.gwt.json.client.JSONParser;
import com.google.gwt.json.client.JSONString;
import com.google.gwt.json.client.JSONValue;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.StackPanel;
import com.google.gwt.user.client.ui.VerticalPanel;

class ValueSelector extends Composite {
	private VerticalPanel panel = new VerticalPanel();

	public ValueSelector(String style) {
		panel.setStyleName(style);
		initWidget(panel);
	}

	public void add(String name) {
		panel.add(new Label(name));
	}
}

public class RelationPanel extends Composite {
	private StackPanel _stackPanel = new StackPanel();
	BrowserServiceAsync _service;
	AmoebaQuery _query = new AmoebaQuery();

	/**
	 * @param service
	 * 
	 */
	public RelationPanel(BrowserServiceAsync service) {
		_service = service;
		/*
		 * ValueSelectorTrack vs = new ValueSelectorTrack("value-selector"); vs.add("human"); vs.add("medaka");
		 * vs.add("drosophilla"); _stackPanel.add(vs, "Species (3)"); _stackPanel.add(new Label(""), "Genome (*)");
		 * _stackPanel.add(new Label(""), "Chromosome (*)"); _stackPanel.add(new Label(""), "Track (*)");
		 */

		_query.add("species");
		_query.add("genome");
		_query.add("chromosome");

		updateCount();
		initWidget(_stackPanel);

	}

	public void updateCount() {

		_service.countDataModelElementValues(_query.toJSON(), new AsyncCallback<String>() {
			public void onFailure(Throwable caught) {
				// do nothing
				GWT.log(caught.getMessage(), caught);
			}

			public void onSuccess(String result) {
				updateStackPanel(result);
			}
		});

	}

	public void updateStackPanel(String jsonCountData) {
		JSONObject json = (JSONObject) JSONParser.parse(jsonCountData);

		_stackPanel.clear();
		for (String param : _query.getTarget().keySet()) {
			JSONValue countValue = json.get(param);
			JSONString stringValue = countValue.isString();
			String label = param;
			if (stringValue != null)
				label += " (" + stringValue.stringValue() + ")";
			else
				label += " (" + countValue.toString() + ")";

			_stackPanel.add(new Label("-"), label);
		}

	}

}
