/*--------------------------------------------------------------------------
 *  Copyright 2007 utgenome.org
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// UTGB Gallery Project
//
// TrackSelector.java
// Since: 2007/04/20
//
// $URL: http://svn.utgenome.org/utgb/trunk/utgb/utgb-core/src/main/java/org/utgenome/gwt/utgb/client/model/TrackSelector.java $ 
// $Author: leo $
//--------------------------------------
package org.utgenome.gwt.utgb.client.model;

import org.utgenome.gwt.web.client.tab.TabEntry;
import org.utgenome.gwt.utgb.client.track.TrackViewer;

import com.google.gwt.user.client.ui.DockPanel;
import com.google.gwt.user.client.ui.Tree;
import com.google.gwt.user.client.ui.TreeItem;

public class TrackSelector extends TabEntry 
{

    public static TabEntryFactory factory()
    {
        return new TabEntryFactory("Track Selector", "Track Selector")
        {
            public TabEntry createInstance() {
                return new TrackSelector();
            }
            
        };
    }

    DockPanel _panel = new DockPanel();
    Tree _treeView = new Tree();
    
    public TrackSelector()
    {
        ParameterValueSelector genomeSelector = new ParameterValueSelector("genome");
        genomeSelector.addValue("human");
        genomeSelector.addValue("medaka");
        genomeSelector.addValue("drosophila");
        TreeItem genomePanel = _treeView.addItem(genomeSelector);

        ParameterValueSelector scaffoldSelector = new ParameterValueSelector("scaffold");
        scaffoldSelector.addValue("scaffold1");
        scaffoldSelector.addValue("scaffold2");
        scaffoldSelector.addValue("(255 more)");
        TreeItem scaffoldPanel = genomePanel.addItem(scaffoldSelector);
        
        ParameterValueSelector chromosomeSelector = new ParameterValueSelector("chromosome");
        String[] chr = {
                "chr1", "chr2", "chr3", "chr4", "chr5", "chr6", "chr7", "chr8", "chr9",
                "chr10", "chr11", "chr12", "chr13", "chr14", "chr15", "chr16", "chr17",
                "chr18", "chr19", "chr20", "chr21", "chr22", "chrX", "chrY"
        };
        for(int i=0; i<chr.length; i++)
            chromosomeSelector.addValue(chr[i]);
        TreeItem chromosomePanel = genomePanel.addItem(chromosomeSelector);
        
        ParameterValueSelector trackSelector = new ParameterValueSelector("track");
        trackSelector.addValue("overview track");
        trackSelector.addValue("ruler track");
        trackSelector.addValue("Base color track");
        trackSelector.addValue("Refseq Genes");
        
        TreeItem trackPanel = chromosomePanel.addItem(trackSelector);

        DockPanel browserBase = new DockPanel();
        browserBase.setSize("800px", "200px");
        browserBase.setStyleName("track-panel");
        TreeItem trackView = trackPanel.addItem(browserBase);
        
        
        ParameterValueSelector databaseSelector = new ParameterValueSelector("database");
        databaseSelector.addValue("refseq_gene.sqlite");
        TreeItem databasePanel = genomePanel.addItem(databaseSelector);
        
        /*
        ParameterValueSelector fasttrackSelector = new ParameterValueSelector("fast track");
        fasttrackSelector.addValue("gene track");
        fasttrackSelector.addValue("gene table track");
        TreeItem fastTrackPanel = genomePanel.addItem(fasttrackSelector);
        fastTrackPanel.addItem(new TrackViewer());
        
        _treeView.setVisible(true);
        fastTrackPanel.setSelected(true);
        _treeView.setSelectedItem(fastTrackPanel);
        _treeView.ensureSelectedItemVisible();
        */
        
        _panel.add(_treeView, DockPanel.CENTER);
        _panel.add(new TrackViewer(), DockPanel.SOUTH);
    	initWidget(_panel);
    }
    

    
}




