//--------------------------------------
// tomcat-server Project
//
// TomcatServerConfiguration.java
// Since: Sep 12, 2007
//
// $URL: http://www.xerial.org/svn/project/XerialJ/tags/tomcat-server/tomcat-server-1.3.1/src/main/java/org/xerial/tomcat/TomcatServerConfiguration.java $ 
// $Author: leo $
//--------------------------------------
package org.xerial.tomcat;

import org.xerial.util.bean.BeanUtil;

/**
 * Configuratrion Bean for the {@link TomcatServer}.
 * 
 * You can use {@link BeanUtil} to set configuration parameters.
 * 
 * @author leo
 *
 */
public class TomcatServerConfiguration
{
    private int port = 8088;    // default port number is set to 8088
    private String catalinaBase;    // 
    
    public TomcatServerConfiguration()
    {
        String workDir = getSystemProperty("user.dir", "");
        // The defalut tomcat base folder is set to workdir/tomcat 
        this.catalinaBase = getSystemProperty("catalina.base", workDir) + "/tomcat";   
    }
    
    private static String getSystemProperty(String key, String defaultValue)
    {
        String value = System.getProperty("user.dir");
        return value != null ? value : defaultValue;   
    }

    public int getPort()
    {
        return port;
    }

    public void setPort(int port)
    {
        if(port < 0)
            throw new IllegalArgumentException("invalid port number: " + port);
        this.port = port;
    }

    public String getCatalinaBase()
    {
        return catalinaBase;
    }

    public void setCatalinaBase(String catalinaBase)
    {
        this.catalinaBase = catalinaBase;
    }

    
}




